/*
 * Copyright (C) 2003 John David Ratliff, Yohei Kaneko
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package datatypes;

import org.gjt.xpp.XmlNode;

/**
 * An interface for an XmlNode factory.
 *
 * @author John David Ratliff
 * @author Yohei Kaneko
 * @version 1.1, 04/04/03
 */
public interface XMLFactory {
    /**
     * Build a new XmlNode from a partial XML string.
     *
     * @param xmlString The partial XML string.
     *
     * @return The newly created XmlNode.
     */
    public XmlNode buildXmlNode(String xmlString);
}
