/*
 * Copyright (C) 2003 John David Ratliff, Yohei Kaneko
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package driver;

import java.awt.Dimension;

import javax.swing.JApplet;
import javax.swing.JFrame;
import javax.swing.WindowConstants;

import view.ClientApplet;

/**
 * The runtime application for clients.
 *
 * @author John David Ratliff
 * @author Yohei Kaneko
 * @version 1.1, 04/08/03
 */
public class Client {
    /**
     * Starts the client.
     *
     * @param args Not used.
     */
    public static void main(String[] args) {
        JFrame frame = new JFrame("JOC - The Java Open Client version 1.0.0");
        frame.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);

        // create the applet
        JApplet applet = ClientApplet.getInstance(frame);
        applet.init();
        
        frame.getContentPane().add(applet);
        frame.setSize(new Dimension(640, 480));
        frame.setVisible(true);
        
        // start the applet
        applet.start();
    }
}
