/*
 * Copyright (C) 2003 John David Ratliff, Yohei Kaneko
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package driver;

/**
 * A class to encapsulate TCP constants.
 *
 * @author John David Ratliff
 * @author Yohei Kaneko
 * @version 1.1, 04/11/03
 */
public final class TCPConstants {
    /**
     * The minimum possible TCP/UDP port number.
     */
    public static final int MIN_PORT_NUMBER = 1024;

    /**
     * The maximum possible TCP/UDP port number.
     */
    public static final int MAX_PORT_NUMBER = 65535;

    /**
     * Creates a new TCPConstants object.
     */
    private TCPConstants() {
        // we are a constants class. don't instantiate us
    }
}
